Story

Get stories by project and category name

Returns a list of stories filtered by category name and other parameters.

GET
/api/v2/stories/by-platform/{id}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*integer

platform id

Query Parameters

offset?integer
limit?integer
storyName?string
categoryName?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/stories/by-platform/76"
{  "data": [    {      "id": 1,      "name": "production",      "createdAt": {        "date": "2023-05-16 21:36:35.000000",        "timezoneType": 1,        "timezone": "+04:00"      },      "projectType": {        "id": 1,        "name": "b2core",        "alias": "b2core_alias",        "createdAt": {          "date": "2023-05-16 21:36:30.000000",          "timezoneType": 1,          "timezone": "+04:00"        },        "updatedAt": {          "date": "2023-06-01 12:00:00.000000",          "timezoneType": 1,          "timezone": "+04:00"        }      }    }  ],  "pagination": {    "maxCount": 100  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}